package de.intevation.gnv.action;

import de.intevation.gnv.action.sessionmodel.SessionModel;
import de.intevation.gnv.action.sessionmodel.SessionModelFactory;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * This controller is called to display charts.<br>
 * An attribute 'chart' on the request object is activated which inserts an
 * image calling a chart output of the server.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class CreateChartAction extends DescribeUIAction {

    private static Logger logger = Logger.getLogger(CreateChartAction.class);


    public CreateChartAction() {
        super();
    }


    @Override
    public ActionForward execute(
        ActionMapping       mapping,
        ActionForm          form,
        HttpServletRequest  request,
        HttpServletResponse response)
    throws Exception {
        logger.debug("Create chart.");

        SessionModel sm = SessionModelFactory.getInstance().getSessionModel(
            request);
        sm.setDiagrammOptions(null);
        request.setAttribute("chart", true);

        return super.execute(mapping, form, request, response);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
