package de.intevation.gnv.artifactdatabase.objects;

import java.io.Serializable;

/**
 * The <code>ArtifactObject</code> provides some information about an artifact.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public interface ArtifactObject extends Serializable {

    /**
     * Retrieves the id of this object.
     *
     * @return the id.
     */
    public String getId();

    /**
     * Retrieves information about the selection state of this object.
     *
     * @return true, if this object is selected - otherwise false.
     */
    public boolean isSelected();

    /**
     * Set the selection of this object.
     *
     * @param selected the new selection.
     */
    public void setSelected(boolean selected);

    /**
     * Retrieves the name of this object.
     *
     * @return the name.
     */
    public String getName();

    /**
     * Retrieves the  description of the object.
     *
     * @return the description.
     */
    public String getDescription();

    /**
     * Retrieves the hash value of this object.
     *
     * @return the hash value.
     */
    public String getHash();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :