package de.intevation.gnv.artifactdatabase.objects;

/**
 * The default implementation of <code>InputParameter</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class DefaultInputParameter implements InputParameter {

    private static final long serialVersionUID = 6597439837482244211L;

    private String name = null;

    private String[] values = null;

    /**
     * Constructor
     *
     * @param name The name of this parameter.
     * @param values The values of this parameter.
     */
    public DefaultInputParameter(String name, String[] values) {
        super();
        this.name = name;
        this.values = values;
    }

    public String getName() {
        return this.name;
    }

    public String[] getValues() {
        return this.values;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :