package de.intevation.gnv.artifactdatabase.objects;

import java.util.Collection;
import java.util.Map;

/**
 * The default implementation of an <code>OutputMode</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class DefaultOutputMode implements OutputMode {

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = 7487880486604174521L;

    private String name = null;

    private String mimeType = null;

    private Collection<OutputParameter> outputParameter = null;

    private Map<String, ExportMode> exports;

    public DefaultOutputMode(
        String name,
        String mimeType,
        Collection<OutputParameter> outputParameter,
        Map<String, ExportMode> exports)
    {
        super();
        this.name            = name;
        this.mimeType        = mimeType;
        this.outputParameter = outputParameter;
        this.exports         = exports;
    }

    public String getMimeType() {
        return this.mimeType;
    }

    public String getName() {
        return this.name;
    }

    public Collection<OutputParameter> getOutputParameters() {
        return this.outputParameter;
    }

    public ExportMode getExportMode(String mode) {
        return exports.get(mode);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :