package de.intevation.gnv.artifactdatabase.objects.map;

/**
 * This interface defines some basic methods providing information about a map
 * layer.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public interface Layer {

    /**
     * Retrieves the name of a layer.
     *
     * @return the name of a layer.
     */
    String getName();

    /**
     * Retrieves the id of a layer.
     *
     * @return the id of a layer.
     */
    String getID();

    /**
     * Retrieves true, if this layer is a group layer - otherwise false.
     *
     * @return true, if this layer is a group layer - otherwise false.
     */
    boolean isGroupLayer();

    /**
     * Retrieves the id of the parent layer.
     *
     * @return the id of the parent layer.
     */
    String parentID();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :